del_timer
Prev | Delaying, scheduling, and timer routines | Next

## Name

del_timer — deactive a timer.

## Synopsis

`int del_timer (` | struct timer_list * | timer`)`;

## Arguments

`timer`

  the timer to be deactivated

## Description

`del_timer` deactivates a timer - this works on both active and inactive timers.

The function returns whether it has deactivated a pending timer or not. (ie. `del_timer` of an inactive timer returns 0, `del_timer` of an active timer returns 1.)

Prev | Up | Next
mod_timer | Home | try_to_del_timer_sync